/*
 * $Id$
 */

package npanday.model.settings;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class NPandaySettings implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field operatingSystem
     */
    private String operatingSystem;

    /**
     * Field vendors
     */
    private java.util.List vendors;

    /**
     * Field defaultSetup
     */
    private DefaultSetup defaultSetup;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addVendor
     * 
     * @param vendor
     */
    public void addVendor(Vendor vendor)
    {
        if ( !(vendor instanceof Vendor) )
        {
            throw new ClassCastException( "NPandaySettings.addVendors(vendor) parameter must be instanceof " + Vendor.class.getName() );
        }
        getVendors().add( vendor );
    } //-- void addVendor(Vendor) 

    /**
     * Get null
     */
    public DefaultSetup getDefaultSetup()
    {
        return this.defaultSetup;
    } //-- DefaultSetup getDefaultSetup() 

    /**
     * Get null
     */
    public String getOperatingSystem()
    {
        return this.operatingSystem;
    } //-- String getOperatingSystem() 

    /**
     * Method getVendors
     */
    public java.util.List getVendors()
    {
        if ( this.vendors == null )
        {
            this.vendors = new java.util.ArrayList();
        }
        
        return this.vendors;
    } //-- java.util.List getVendors() 

    /**
     * Method removeVendor
     * 
     * @param vendor
     */
    public void removeVendor(Vendor vendor)
    {
        if ( !(vendor instanceof Vendor) )
        {
            throw new ClassCastException( "NPandaySettings.removeVendors(vendor) parameter must be instanceof " + Vendor.class.getName() );
        }
        getVendors().remove( vendor );
    } //-- void removeVendor(Vendor) 

    /**
     * Set null
     * 
     * @param defaultSetup
     */
    public void setDefaultSetup(DefaultSetup defaultSetup)
    {
        this.defaultSetup = defaultSetup;
    } //-- void setDefaultSetup(DefaultSetup) 

    /**
     * Set null
     * 
     * @param operatingSystem
     */
    public void setOperatingSystem(String operatingSystem)
    {
        this.operatingSystem = operatingSystem;
    } //-- void setOperatingSystem(String) 

    /**
     * Set null
     * 
     * @param vendors
     */
    public void setVendors(java.util.List vendors)
    {
        this.vendors = vendors;
    } //-- void setVendors(java.util.List) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }}
