/*
 * $Id$
 */

package npanday.model.settings;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class Vendor implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field vendorName
     */
    private String vendorName;

    /**
     * Field vendorVersion
     */
    private String vendorVersion;

    /**
     * Field isDefault
     */
    private String isDefault;

    /**
     * Field frameworks
     */
    private java.util.List frameworks;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addFramework
     * 
     * @param framework
     */
    public void addFramework(Framework framework)
    {
        if ( !(framework instanceof Framework) )
        {
            throw new ClassCastException( "Vendor.addFrameworks(framework) parameter must be instanceof " + Framework.class.getName() );
        }
        getFrameworks().add( framework );
    } //-- void addFramework(Framework) 

    /**
     * Method getFrameworks
     */
    public java.util.List getFrameworks()
    {
        if ( this.frameworks == null )
        {
            this.frameworks = new java.util.ArrayList();
        }
        
        return this.frameworks;
    } //-- java.util.List getFrameworks() 

    /**
     * Get null
     */
    public String getIsDefault()
    {
        return this.isDefault;
    } //-- String getIsDefault() 

    /**
     * Get null
     */
    public String getVendorName()
    {
        return this.vendorName;
    } //-- String getVendorName() 

    /**
     * Get null
     */
    public String getVendorVersion()
    {
        return this.vendorVersion;
    } //-- String getVendorVersion() 

    /**
     * Method removeFramework
     * 
     * @param framework
     */
    public void removeFramework(Framework framework)
    {
        if ( !(framework instanceof Framework) )
        {
            throw new ClassCastException( "Vendor.removeFrameworks(framework) parameter must be instanceof " + Framework.class.getName() );
        }
        getFrameworks().remove( framework );
    } //-- void removeFramework(Framework) 

    /**
     * Set null
     * 
     * @param frameworks
     */
    public void setFrameworks(java.util.List frameworks)
    {
        this.frameworks = frameworks;
    } //-- void setFrameworks(java.util.List) 

    /**
     * Set null
     * 
     * @param isDefault
     */
    public void setIsDefault(String isDefault)
    {
        this.isDefault = isDefault;
    } //-- void setIsDefault(String) 

    /**
     * Set null
     * 
     * @param vendorName
     */
    public void setVendorName(String vendorName)
    {
        this.vendorName = vendorName;
    } //-- void setVendorName(String) 

    /**
     * Set null
     * 
     * @param vendorVersion
     */
    public void setVendorVersion(String vendorVersion)
    {
        this.vendorVersion = vendorVersion;
    } //-- void setVendorVersion(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }}
