/*
 * $Id$
 */

package npanday.model.settings;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class Framework implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field frameworkVersion
     */
    private String frameworkVersion;

    /**
     * Field installRoot
     */
    private String installRoot;

    /**
     * Field sdkInstallRoot
     */
    private String sdkInstallRoot;

    /**
     * Field executablePaths
     */
    private java.util.List executablePaths;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addExecutablePath
     * 
     * @param string
     */
    public void addExecutablePath(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "Framework.addExecutablePaths(string) parameter must be instanceof " + String.class.getName() );
        }
        getExecutablePaths().add( string );
    } //-- void addExecutablePath(String) 

    /**
     * Method getExecutablePaths
     */
    public java.util.List getExecutablePaths()
    {
        if ( this.executablePaths == null )
        {
            this.executablePaths = new java.util.ArrayList();
        }
        
        return this.executablePaths;
    } //-- java.util.List getExecutablePaths() 

    /**
     * Get null
     */
    public String getFrameworkVersion()
    {
        return this.frameworkVersion;
    } //-- String getFrameworkVersion() 

    /**
     * Get null
     */
    public String getInstallRoot()
    {
        return this.installRoot;
    } //-- String getInstallRoot() 

    /**
     * Get null
     */
    public String getSdkInstallRoot()
    {
        return this.sdkInstallRoot;
    } //-- String getSdkInstallRoot() 

    /**
     * Method removeExecutablePath
     * 
     * @param string
     */
    public void removeExecutablePath(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "Framework.removeExecutablePaths(string) parameter must be instanceof " + String.class.getName() );
        }
        getExecutablePaths().remove( string );
    } //-- void removeExecutablePath(String) 

    /**
     * Set null
     * 
     * @param executablePaths
     */
    public void setExecutablePaths(java.util.List executablePaths)
    {
        this.executablePaths = executablePaths;
    } //-- void setExecutablePaths(java.util.List) 

    /**
     * Set null
     * 
     * @param frameworkVersion
     */
    public void setFrameworkVersion(String frameworkVersion)
    {
        this.frameworkVersion = frameworkVersion;
    } //-- void setFrameworkVersion(String) 

    /**
     * Set null
     * 
     * @param installRoot
     */
    public void setInstallRoot(String installRoot)
    {
        this.installRoot = installRoot;
    } //-- void setInstallRoot(String) 

    /**
     * Set null
     * 
     * @param sdkInstallRoot
     */
    public void setSdkInstallRoot(String sdkInstallRoot)
    {
        this.sdkInstallRoot = sdkInstallRoot;
    } //-- void setSdkInstallRoot(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }}
